from django.utils.deprecation import MiddlewareMixin
from django.utils import timezone

from datetime import timedelta


class DeleteUserMiddleware(MiddlewareMixin):
    """
    MUST be placed after AuthenticationMiddleware
    """

    def process_request(self, request):
        user = request.user
        if not user.is_authenticated or user.login_inp_net:
            return
        user.is_active = True
        user.mail_delete = True
        user.delete_date = timezone.now() + timedelta(days=365)
        user.save()
